require "l33tify/version"

module L33tify
  def self.process(str)
    l33t_replacements = {i: '1', r: '2', e: '3', a: '4', s: '5', t: '7', o: '0'}

    str = str.downcase
    new_string = ''

    str.each_char do |c|
      if l33t_replacements[c.to_sym].nil? == false
        new_string += l33t_replacements[c.to_sym]
      else
        new_string += c
      end
    end

    return new_string
  end
end
